Subject: Enhance localization behavior of pages.media

Description

With issue #57488 the pages.media field became localizable again, however the selective approach turns out to be problematic in

terms of overlaying data in the frontend (the "mergelfNotBlank" settings and the like).

Thus, instead of letting the editor localize the references after persisting the parent and having to overlay/fallback in the frontend, now

the references are already shown in the edit view during the localization (still before being persisted).

Related issues:
related to Core - Bug # 57488: page record overlays: media field not translat...

Resolved 2014-04-01

Associated revisions

Revision 69ac69c2 - 2014-05-04 14:35 - Oliver Hader

[TASK] Enhance localization behavior of pages.media

With issue #57488 the pages.media field became localizable again,
however the selective approach turns out to be problematic in
terms of overlaying data in the frontend (the "mergelfNotBlank"
settings and the like).

Thus, instead of letting the editor localize the references after
persisting the parent and having to overlay/fallback in the

frontend, now the references are already shown in the edit view

during the localization (still before being persisted).

Resolves: #58476

Releases: 6.2

Change-Id: 1d6980f2a5cfea109375afce27f62cad8c101c58e
Reviewed-on: https:/review.typo3.org/29839

Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Marc Bastian Heinrichs
Tested-by: Marc Bastian Heinrichs

History

#1 - 2014-05-04 11:09 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/29839
#2 - 2014-05-04 15:30 - Oliver Hader
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:69ac69¢20¢8f33513cdbd8d5850050adc910c71f.

2015-08-04 22



